Subject: Re: Statictics on Git.pm usage in git commands (was: [PATCH 2/3] add new Git::Repo API)

From: Petr Baudis <[email-masked]>
Date: Sun, 20 Jul 2008 14:58:41 +0200

Hi,

On Sun, Jul 20, 2008 at 02:33:46PM +0200, Johannes Schindelin wrote:
> On Sun, 20 Jul 2008, Petr Baudis wrote:
> 
> > On Sun, Jul 20, 2008 at 12:38:07PM +0200, Johannes Schindelin wrote:
> >
> > > Pasky tried to convert all Perl scripts at once IIRC, and my numerous 
> > > problems just _making_ the Git scripts led me to rewrite a few Perl 
> > > scripts in C, so I could safely exclude the Perl scripts from my 
> > > personal fork.
> > 
> > I don't remember any concrete report of such problems ever reaching me; 
> > exactly what trouble are you hitting with the Perl scripts using Git.pm?  
> > I will be glad to try to fix it.
> 
> They reached you:
> 
> http://article.gmane.org/gmane.comp.version-control.git/23153

  running Git in-place without correctly setting the prefix is not
supported anyway; git wrapper will still be using non-builtin commands
from the prefix location instead of your fresh build.

> http://thread.gmane.org/gmane.comp.version-control.git/22764/focus=22778

  It seems I fixed this right away?

				Petr "Pasky" Baudis